#
# spec file for package perl-String-Truncate
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name String-Truncate
Name:           perl-String-Truncate
Version:        1.100603
Release:        1.7
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Module for when strings are too long to be displayed in..
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Sub::Exporter) >= 0.953
BuildRequires:  perl(Sub::Exporter::Util)
BuildRequires:  perl(Sub::Install) >= 0.03
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Sub::Exporter) >= 0.953
Requires:       perl(Sub::Exporter::Util)
Requires:       perl(Sub::Install) >= 0.03
%{perl_requires}

%description
a module for when strings are too long to be displayed in...

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Mon Jan  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.100603
  see /usr/share/doc/packages/perl-String-Truncate/Changes
  1.100603  2022-12-31 15:48:46-05:00 America/New_York
  - update packaging and metadata
  - minimum required Perl is now v5.12
* Mon Sep 15 2014 coolo@suse.com
- updated to 1.100602
  typo fixes (thanks, David Steinbrunner)
* Tue Nov 26 2013 coolo@suse.com
- updated to 1.100601
  update bugtracker and repo metadata
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Mon Jun 20 2011 coolo@novell.com
- regenerate with newer cpanspec
* Thu Mar 31 2011 coolo@novell.com
- update to version 1.100600
  fix documention: the argument is "truncate" not "elite"
  (thanks for the report, Tommy Stanton!)
* Sat Jan 22 2011 coolo@novell.com
- initial package 1.100570
  * created by cpanspec 1.78.03
